Index: trunk/NEMO/OPA_SRC/eosbn2.F90
===================================================================
--- trunk/NEMO/OPA_SRC/eosbn2.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/eosbn2.F90	(revision 1601)
@@ -9,5 +9,4 @@
    !!            6.0  ! 1994-08  (G. Madec)  Add Jackett & McDougall eos
    !!            7.0  ! 1996-01  (G. Madec)  statement function for e3
-   !!            8.1  ! 1997-07  (G. Madec)  introduction of neos, OPA8.1
    !!            8.1  ! 1997-07  (G. Madec)  density instead of volumic mass
    !!             -   ! 1999-02  (G. Madec, N. Grima) semi-implicit pressure gradient
@@ -51,8 +50,9 @@
    PUBLIC   tfreez     ! called by sbcice_... modules
 
-   !                                      !!* Namelist (nameos) *
-   INTEGER , PUBLIC ::   neos   = 0        !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
-   REAL(wp), PUBLIC ::   ralpha = 2.0e-4   !: thermal expension coeff. (linear equation of state)
-   REAL(wp), PUBLIC ::   rbeta  = 7.7e-4   !: saline  expension coeff. (linear equation of state)
+   !                                        !!* Namelist (nameos) *
+   INTEGER , PUBLIC ::   nn_eos   = 0        !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
+   REAL(wp), PUBLIC ::   rn_alpha = 2.0e-4   !: thermal expension coeff. (linear equation of state)
+   REAL(wp), PUBLIC ::   rn_beta  = 7.7e-4   !: saline  expension coeff. (linear equation of state)
+
    REAL(wp), PUBLIC ::   ralpbet           !: alpha / beta ratio
    
@@ -74,8 +74,8 @@
       !! ** Purpose :   Compute the in situ density (ratio rho/rau0) from 
       !!       potential temperature and salinity using an equation of state
-      !!       defined through the namelist parameter neos.
+      !!       defined through the namelist parameter nn_eos.
       !!
       !! ** Method  :   3 cases:
-      !!      neos = 0 : Jackett and McDougall (1994) equation of state.
+      !!      nn_eos = 0 : Jackett and McDougall (1994) equation of state.
       !!         the in situ density is computed directly as a function of
       !!         potential temperature relative to the surface (the opa t
@@ -92,9 +92,9 @@
       !!         Check value: rho = 1060.93298 kg/m**3 for p=10000 dbar,
       !!          t = 40 deg celcius, s=40 psu
-      !!      neos = 1 : linear equation of state function of temperature only
-      !!              prd(t) = 0.0285 - ralpha * t
-      !!      neos = 2 : linear equation of state function of temperature and
+      !!      nn_eos = 1 : linear equation of state function of temperature only
+      !!              prd(t) = 0.0285 - rn_alpha * t
+      !!      nn_eos = 2 : linear equation of state function of temperature and
       !!               salinity
-      !!              prd(t,s) = rbeta * s - ralpha * tn - 1.
+      !!              prd(t,s) = rn_beta * s - rn_alpha * tn - 1.
       !!      Note that no boundary condition problem occurs in this routine
       !!      as (ptem,psal) are defined over the whole domain.
@@ -118,5 +118,5 @@
       !!----------------------------------------------------------------------
 
-      SELECT CASE( neos )
+      SELECT CASE( nn_eos )
       !
       CASE( 0 )                !==  Jackett and McDougall (1994) formulation  ==!
@@ -169,15 +169,11 @@
       CASE( 1 )                !==  Linear formulation function of temperature only  ==!
          DO jk = 1, jpkm1
-            prd(:,:,jk) = ( 0.0285 - ralpha * ptem(:,:,jk) ) * tmask(:,:,jk)
+            prd(:,:,jk) = ( 0.0285 - rn_alpha * ptem(:,:,jk) ) * tmask(:,:,jk)
          END DO
          !
       CASE( 2 )                !==  Linear formulation function of temperature and salinity  ==!
          DO jk = 1, jpkm1
-            prd(:,:,jk) = ( rbeta  * psal(:,:,jk) - ralpha * ptem(:,:,jk) ) * tmask(:,:,jk)
-         END DO
-         !
-      CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for neos = ', neos
-         CALL ctl_stop( ctmp1 )
+            prd(:,:,jk) = ( rn_beta  * psal(:,:,jk) - rn_alpha * ptem(:,:,jk) ) * tmask(:,:,jk)
+         END DO
          !
       END SELECT
@@ -195,8 +191,8 @@
       !!      potential volumic mass (Kg/m3) from potential temperature and
       !!      salinity fields using an equation of state defined through the 
-      !!     namelist parameter neos.
+      !!     namelist parameter nn_eos.
       !!
       !! ** Method  :
-      !!      neos = 0 : Jackett and McDougall (1994) equation of state.
+      !!      nn_eos = 0 : Jackett and McDougall (1994) equation of state.
       !!         the in situ density is computed directly as a function of
       !!         potential temperature relative to the surface (the opa t
@@ -216,12 +212,12 @@
       !!          t = 40 deg celcius, s=40 psu
       !!
-      !!      neos = 1 : linear equation of state function of temperature only
-      !!              prd(t) = ( rho(t) - rau0 ) / rau0 = 0.028 - ralpha * t
+      !!      nn_eos = 1 : linear equation of state function of temperature only
+      !!              prd(t) = ( rho(t) - rau0 ) / rau0 = 0.028 - rn_alpha * t
       !!              rhop(t,s)  = rho(t,s)
       !!
-      !!      neos = 2 : linear equation of state function of temperature and
+      !!      nn_eos = 2 : linear equation of state function of temperature and
       !!               salinity
       !!              prd(t,s) = ( rho(t,s) - rau0 ) / rau0 
-      !!                       = rbeta * s - ralpha * tn - 1.
+      !!                       = rn_beta * s - rn_alpha * tn - 1.
       !!              rhop(t,s)  = rho(t,s)
       !!      Note that no boundary condition problem occurs in this routine
@@ -245,5 +241,5 @@
       !!----------------------------------------------------------------------
 
-      SELECT CASE ( neos )
+      SELECT CASE ( nn_eos )
       !
       CASE( 0 )                !==  Jackett and McDougall (1994) formulation  ==!
@@ -299,5 +295,5 @@
       CASE( 1 )                !==  Linear formulation = F( temperature )  ==!
          DO jk = 1, jpkm1
-            prd  (:,:,jk) = ( 0.0285 - ralpha * ptem(:,:,jk) )        * tmask(:,:,jk)
+            prd  (:,:,jk) = ( 0.0285 - rn_alpha * ptem(:,:,jk) )        * tmask(:,:,jk)
             prhop(:,:,jk) = ( 1.e0   +          prd (:,:,jk) ) * rau0 * tmask(:,:,jk)
          END DO
@@ -305,11 +301,7 @@
       CASE( 2 )                !==  Linear formulation = F( temperature , salinity )  ==!
          DO jk = 1, jpkm1
-            prd  (:,:,jk) = ( rbeta  * psal(:,:,jk) - ralpha * ptem(:,:,jk) )        * tmask(:,:,jk)
+            prd  (:,:,jk) = ( rn_beta  * psal(:,:,jk) - rn_alpha * ptem(:,:,jk) )        * tmask(:,:,jk)
             prhop(:,:,jk) = ( 1.e0   + prd (:,:,jk) )                         * rau0 * tmask(:,:,jk)
          END DO
-         !
-      CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for neos = ', neos
-         CALL ctl_stop( ctmp1 )
          !
       END SELECT
@@ -326,8 +318,8 @@
       !! ** Purpose :   Compute the in situ density (ratio rho/rau0) from 
       !!      potential temperature and salinity using an equation of state
-      !!      defined through the namelist parameter neos. * 2D field case
+      !!      defined through the namelist parameter nn_eos. * 2D field case
       !!
       !! ** Method :
-      !!      neos = 0 : Jackett and McDougall (1994) equation of state.
+      !!      nn_eos = 0 : Jackett and McDougall (1994) equation of state.
       !!         the in situ density is computed directly as a function of
       !!         potential temperature relative to the surface (the opa t
@@ -344,9 +336,9 @@
       !!         Check value: rho = 1060.93298 kg/m**3 for p=10000 dbar,
       !!          t = 40 deg celcius, s=40 psu
-      !!      neos = 1 : linear equation of state function of temperature only
-      !!              prd(t) = 0.0285 - ralpha * t
-      !!      neos = 2 : linear equation of state function of temperature and
+      !!      nn_eos = 1 : linear equation of state function of temperature only
+      !!              prd(t) = 0.0285 - rn_alpha * t
+      !!      nn_eos = 2 : linear equation of state function of temperature and
       !!               salinity
-      !!              prd(t,s) = rbeta * s - ralpha * tn - 1.
+      !!              prd(t,s) = rn_beta * s - rn_alpha * tn - 1.
       !!      Note that no boundary condition problem occurs in this routine
       !!      as (ptem,psal) are defined over the whole domain.
@@ -369,5 +361,5 @@
       prd(:,:) = 0.e0
 
-      SELECT CASE( neos )
+      SELECT CASE( nn_eos )
       !
       CASE( 0 )                !==  Jackett and McDougall (1994) formulation  ==!
@@ -424,5 +416,5 @@
          DO jj = 1, jpjm1
             DO ji = 1, fs_jpim1   ! vector opt.
-               prd(ji,jj) = ( 0.0285 - ralpha * ptem(ji,jj) ) * tmask(ji,jj,1)
+               prd(ji,jj) = ( 0.0285 - rn_alpha * ptem(ji,jj) ) * tmask(ji,jj,1)
             END DO
          END DO
@@ -431,11 +423,7 @@
          DO jj = 1, jpjm1
             DO ji = 1, fs_jpim1   ! vector opt.
-               prd(ji,jj) = ( rbeta * psal(ji,jj) - ralpha * ptem(ji,jj) ) * tmask(ji,jj,1) 
-            END DO
-         END DO
-         !
-      CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for neos = ', neos
-         CALL ctl_stop( ctmp1 )
+               prd(ji,jj) = ( rn_beta * psal(ji,jj) - rn_alpha * ptem(ji,jj) ) * tmask(ji,jj,1) 
+            END DO
+         END DO
          !
       END SELECT
@@ -454,5 +442,5 @@
       !!      
       !! ** Method :
-      !!       * neos = 0  : UNESCO sea water properties
+      !!       * nn_eos = 0  : UNESCO sea water properties
       !!         The brunt-vaisala frequency is computed using the polynomial
       !!      polynomial expression of McDougall (1987):
@@ -461,11 +449,11 @@
       !!      computed and used in zdfddm module :
       !!              Rrau = alpha/beta * ( dk[ t ] / dk[ s ] )
-      !!       * neos = 1  : linear equation of state (temperature only)
-      !!            N^2 = grav * ralpha * dk[ t ]/e3w
-      !!       * neos = 2  : linear equation of state (temperature & salinity)
-      !!            N^2 = grav * (ralpha * dk[ t ] - rbeta * dk[ s ] ) / e3w
+      !!       * nn_eos = 1  : linear equation of state (temperature only)
+      !!            N^2 = grav * rn_alpha * dk[ t ]/e3w
+      !!       * nn_eos = 2  : linear equation of state (temperature & salinity)
+      !!            N^2 = grav * (rn_alpha * dk[ t ] - rn_beta * dk[ s ] ) / e3w
       !!      The use of potential density to compute N^2 introduces e r r o r
       !!      in the sign of N^2 at great depths. We recommand the use of 
-      !!      neos = 0, except for academical studies.
+      !!      nn_eos = 0, except for academical studies.
       !!        Macro-tasked on horizontal slab (jk-loop)
       !!      N.B. N^2 is set to zero at the first level (JK=1) in inidtr
@@ -490,5 +478,5 @@
       ! -------------------------- 
       !
-      SELECT CASE( neos )
+      SELECT CASE( nn_eos )
       !
       CASE( 0 )                !==  Jackett and McDougall (1994) formulation  ==!
@@ -541,11 +529,11 @@
       CASE( 1 )                !==  Linear formulation = F( temperature )  ==!
          DO jk = 2, jpkm1
-            pn2(:,:,jk) = grav * ralpha * ( ptem(:,:,jk-1) - ptem(:,:,jk) ) / fse3w(:,:,jk) * tmask(:,:,jk)
+            pn2(:,:,jk) = grav * rn_alpha * ( ptem(:,:,jk-1) - ptem(:,:,jk) ) / fse3w(:,:,jk) * tmask(:,:,jk)
          END DO
          !
       CASE( 2 )                !==  Linear formulation = F( temperature , salinity )  ==!
          DO jk = 2, jpkm1
-            pn2(:,:,jk) = grav * (  ralpha * ( ptem(:,:,jk-1) - ptem(:,:,jk) )      &
-               &                  - rbeta  * ( psal(:,:,jk-1) - psal(:,:,jk) )  )   &
+            pn2(:,:,jk) = grav * (  rn_alpha * ( ptem(:,:,jk-1) - ptem(:,:,jk) )      &
+               &                  - rn_beta  * ( psal(:,:,jk-1) - psal(:,:,jk) )  )   &
                &               / fse3w(:,:,jk) * tmask(:,:,jk)
          END DO 
@@ -561,9 +549,4 @@
          END DO
 #endif
-         !
-      CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for neos = ', neos
-         CALL ctl_stop( ctmp1 )
-         !
       END SELECT
 
@@ -606,5 +589,5 @@
       !! ** Method  :   Read the namelist nameos and control the parameters
       !!----------------------------------------------------------------------
-      NAMELIST/nameos/ neos, ralpha, rbeta
+      NAMELIST/nameos/ nn_eos, rn_alpha, rn_beta
       !!----------------------------------------------------------------------
       !
@@ -617,29 +600,29 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '          Namelist nameos : set eos parameters'
-         WRITE(numout,*) '             flag for eq. of state and N^2  neos   = ', neos
-         WRITE(numout,*) '             thermal exp. coef. (linear)    ralpha = ', ralpha
-         WRITE(numout,*) '             saline  exp. coef. (linear)    rbeta  = ', rbeta
+         WRITE(numout,*) '             flag for eq. of state and N^2  nn_eos   = ', nn_eos
+         WRITE(numout,*) '             thermal exp. coef. (linear)    rn_alpha = ', rn_alpha
+         WRITE(numout,*) '             saline  exp. coef. (linear)    rn_beta  = ', rn_beta
       ENDIF
       !
-      SELECT CASE( neos )
-      !
-      CASE( 0 )                   !==  Jackett and McDougall (1994) formulation  ==!
+      SELECT CASE( nn_eos )         ! check option
+      !
+      CASE( 0 )                        !==  Jackett and McDougall (1994) formulation  ==!
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '          use of Jackett & McDougall (1994) equation of state and'
          IF(lwp) WRITE(numout,*) '                 McDougall (1987) Brunt-Vaisala frequency'
          !
-      CASE( 1 )                   !==  Linear formulation = F( temperature )  ==!
+      CASE( 1 )                        !==  Linear formulation = F( temperature )  ==!
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '          use of linear eos rho(T) = rau0 * ( 1.0285 - ralpha * T )'
+         IF(lwp) WRITE(numout,*) '          use of linear eos rho(T) = rau0 * ( 1.0285 - rn_alpha * T )'
          IF( lk_zdfddm ) CALL ctl_stop( '          double diffusive mixing parameterization requires',   &
               &                         ' that T and S are used as state variables' )
          !
-      CASE( 2 )                   !==  Linear formulation = F( temperature , salinity )  ==!
-         ralpbet = ralpha / rbeta
+      CASE( 2 )                        !==  Linear formulation = F( temperature , salinity )  ==!
+         ralpbet = rn_alpha / rn_beta
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '          use of linear eos rho(T,S) = rau0 * ( rbeta * S - ralpha * T )'
-         !
-      CASE DEFAULT                !==  ERROR in neos  ==!
-         WRITE(ctmp1,*) '          bad flag value for neos = ', neos
+         IF(lwp) WRITE(numout,*) '          use of linear eos rho(T,S) = rau0 * ( rn_beta * S - rn_alpha * T )'
+         !
+      CASE DEFAULT                     !==  ERROR in nn_eos  ==!
+         WRITE(ctmp1,*) '          bad flag value for nn_eos = ', nn_eos
          CALL ctl_stop( ctmp1 )
          !
Index: trunk/NEMO/OPA_SRC/lib_cray.f90
===================================================================
--- trunk/NEMO/OPA_SRC/lib_cray.f90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/lib_cray.f90	(revision 1601)
@@ -4,22 +4,10 @@
 !  check their existence
 !  
-!  sdot
 !  wheneq
-!  saxpy
-!  isrchne
-   !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-!---------------------------------------------------------
-     FUNCTION sdot( I, X, J, Y, K )
-        DIMENSION X(1), Y(1)
-        SDOT = 0.
-        DO N = 1, I
-        SDOT = SDOT + X(1+(N-1)*J) * Y(1+(N-1)*K)
-        END DO
-     END FUNCTION sdot
-!---------------------------------------------------------
+!!----------------------------------------------------------------------
+!!  OPA 9.0 , LOCEAN-IPSL (2005) 
+!! $Id$ 
+!! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+!!----------------------------------------------------------------------
      SUBROUTINE wheneq ( i, x, j, t, ind, nn )
         IMPLICIT NONE
@@ -41,21 +29,2 @@
 
      END SUBROUTINE wheneq
-!---------------------------------------------------------
-     SUBROUTINE saxpy( I, A, X, J, Y, K )
-        DIMENSION X(1),Y(1)
-        DO N = 1, I
-           Y(1+(N-1)*K)=A*X(1+(N-1)*J)+Y(1+(N-1)*K)
-        END DO
-     END SUBROUTINE saxpy
-!---------------------------------------------------------
-     FUNCTION isrchne( K, X, I, B )
-        DIMENSION X(1)
-        DO N = 1, K
-           IF( X(1+(N-1)*I) /= B ) THEN
-              ISRCHNE = N
-              RETURN
-           ELSE
-              ISRCHNE = N + 1
-           ENDIF
-        END DO
-     END FUNCTION isrchne
Index: trunk/NEMO/OPA_SRC/lib_mpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 1601)
@@ -139,6 +139,6 @@
 
    ! Type of send : standard, buffered, immediate
-   CHARACTER(len=1) ::   c_mpi_send = 'S'    ! type od mpi send/recieve (S=standard, B=bsend, I=isend)
-   LOGICAL          ::   l_isend = .FALSE.   ! isend use indicator (T if c_mpi_send='I')
+   CHARACTER(len=1) ::   cn_mpi_send = 'S'    ! type od mpi send/recieve (S=standard, B=bsend, I=isend)
+   LOGICAL          ::   l_isend = .FALSE.   ! isend use indicator (T if cn_mpi_send='I')
    INTEGER          ::   nn_buffer = 0       ! size of the buffer in case of mpi_bsend 
       
@@ -177,5 +177,5 @@
       LOGICAL ::   mpi_was_called
       
-      NAMELIST/nam_mpp/ c_mpi_send, nn_buffer
+      NAMELIST/nammpp/ cn_mpi_send, nn_buffer
       !!----------------------------------------------------------------------
       !
@@ -183,11 +183,11 @@
       WRITE(ldtxt(2),*) 'mynode : mpi initialisation'
       WRITE(ldtxt(3),*) '~~~~~~ '
-      WRITE(ldtxt(4),*)
       !
       REWIND( numnam )               ! Namelist namrun : parameters of the run
-      READ  ( numnam, nam_mpp )
+      READ  ( numnam, nammpp )
       !                              ! control print
-      WRITE(ldtxt(5),*) '        Namelist nam_mpp'
-      WRITE(ldtxt(6),*) '           mpi send type            c_mpi_send = ', c_mpi_send
+      WRITE(ldtxt(4),*) '   Namelist nammpp'
+      WRITE(ldtxt(5),*) '      mpi send type                      cn_mpi_send = ', cn_mpi_send
+      WRITE(ldtxt(6),*) '      size in bytes of exported buffer   nn_buffer   = ', nn_buffer
 
 #if defined key_agrif
@@ -205,5 +205,5 @@
          IF( PRESENT(localComm) .and. mpi_was_called ) THEN
             mpi_comm_opa = localComm
-            SELECT CASE ( c_mpi_send )
+            SELECT CASE ( cn_mpi_send )
             CASE ( 'S' )                ! Standard mpi send (blocking)
                WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
@@ -216,5 +216,5 @@
             CASE DEFAULT
                WRITE(ldtxt(7),cform_err)
-               WRITE(ldtxt(8),*) '           bad value for c_mpi_send = ', c_mpi_send
+               WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
                nstop = nstop + 1
             END SELECT
@@ -225,5 +225,5 @@
          ELSE
 #endif
-            SELECT CASE ( c_mpi_send )
+            SELECT CASE ( cn_mpi_send )
             CASE ( 'S' )                ! Standard mpi send (blocking)
                WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
@@ -238,5 +238,5 @@
             CASE DEFAULT
                WRITE(ldtxt(7),cform_err)
-               WRITE(ldtxt(8),*) '           bad value for c_mpi_send = ', c_mpi_send
+               WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
                nstop = nstop + 1
             END SELECT
@@ -254,5 +254,5 @@
 #if defined key_agrif
       ELSE
-         SELECT CASE ( c_mpi_send )
+         SELECT CASE ( cn_mpi_send )
          CASE ( 'S' )                ! Standard mpi send (blocking)
             WRITE(ldtxt(7),*) '           Standard blocking mpi send (send)'
@@ -264,5 +264,5 @@
          CASE DEFAULT
             WRITE(ldtxt(7),cform_err)
-            WRITE(ldtxt(8),*) '           bad value for c_mpi_send = ', c_mpi_send
+            WRITE(ldtxt(8),*) '           bad value for cn_mpi_send = ', cn_mpi_send
             nstop = nstop + 1
          END SELECT
@@ -1044,5 +1044,5 @@
       !!----------------------------------------------------------------------
       !
-      SELECT CASE ( c_mpi_send )
+      SELECT CASE ( cn_mpi_send )
       CASE ( 'S' )                ! Standard mpi send (blocking)
          CALL mpi_send ( pmess, kbytes, mpi_double_precision, kdest , ktyp, mpi_comm_opa        , iflag )
Index: trunk/NEMO/OPA_SRC/mppini_2.h90
===================================================================
--- trunk/NEMO/OPA_SRC/mppini_2.h90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/mppini_2.h90	(revision 1601)
@@ -39,9 +39,7 @@
       !!   9.0  !  04-01  (G. Madec, J.M Molines)  F90 : free form , north fold jpni > 1
       !!----------------------------------------------------------------------
-      !! * Modules used
       USE in_out_manager  ! I/O Manager
       USE iom
-   
-      !! Local variables
+      !! 
       INTEGER :: ji, jj, jn, jproc, jarea     ! dummy loop indices
       INTEGER ::  inum                        ! temporary logical unit
@@ -71,5 +69,5 @@
 
       ! read namelist for ln_zco
-      NAMELIST/nam_zgr/ ln_zco, ln_zps, ln_sco
+      NAMELIST/namzgr/ ln_zco, ln_zps, ln_sco
 
       !!----------------------------------------------------------------------
@@ -78,8 +76,7 @@
       !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
       !!----------------------------------------------------------------------
-      ! Read Namelist nam_zgr : vertical coordinate'
-      ! ---------------------
-      REWIND ( numnam )
-      READ   ( numnam, nam_zgr )
+      
+      REWIND ( numnam )              ! Read Namelist namzgr : vertical coordinate'
+      READ   ( numnam, namzgr )
 
       IF(lwp)WRITE(numout,*)
Index: trunk/NEMO/OPA_SRC/oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/oce.F90	(revision 1601)
@@ -13,9 +13,5 @@
    PRIVATE
 
-   !! Physics and algorithm flags
-   !! ---------------------------
    LOGICAL, PUBLIC ::   l_traldf_rot    = .FALSE.  !: rotated laplacian operator for lateral diffusion
-   LOGICAL, PUBLIC ::   ln_dynhpg_imp   = .FALSE.  !: semi-implicite hpg flag
-   INTEGER, PUBLIC ::   nn_dynhpg_rst   = 0        !: add dynhpg implicit variables in restart ot not
 
    !! dynamics and tracer fields             !  before  !  now     !  after   ! the after trends becomes the fields
Index: trunk/NEMO/OPA_SRC/opa.F90
===================================================================
--- trunk/NEMO/OPA_SRC/opa.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/opa.F90	(revision 1601)
@@ -47,4 +47,5 @@
    USE istate          ! initial state setting          (istate_init routine)
    USE eosbn2          ! equation of state                 (eos_init routine)
+   USE dynhpg          ! hydrostatic pressure gradient
    USE ldfdyn          ! lateral viscosity setting      (ldfdyn_init routine)
    USE ldftra          ! lateral diffusivity setting    (ldftra_init routine)
@@ -176,6 +177,6 @@
       INTEGER                         ::   ji   ! local loop indices
       !!
-      NAMELIST/namctl/ ln_ctl, nprint, nictls, nictle,   &
-         &             isplt , jsplt , njctls, njctle, nbench, nbit_cmp
+      NAMELIST/namctl/ ln_ctl  , nn_print, nn_ictls, nn_ictle,   &
+         &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle, nn_bench, nn_bit_cmp
       !!----------------------------------------------------------------------
       !
@@ -283,23 +284,35 @@
       !!              - Read in namilist namflg logical flags
       !!----------------------------------------------------------------------
-      NAMELIST/namflg/ ln_dynhpg_imp, nn_dynhpg_rst
-      !!----------------------------------------------------------------------
-
-      IF(lwp) THEN                ! Parameter print
+      NAMELIST/namdyn_hpg/ ln_hpg_zco   , ln_hpg_zps   , ln_hpg_sco, ln_hpg_hel,   &
+         &                 ln_hpg_wdj   , ln_hpg_djc   , ln_hpg_rot, rn_gamma  ,   &
+         &                 ln_dynhpg_imp, nn_dynhpg_rst
+      !!----------------------------------------------------------------------
+
+      IF(lwp) THEN                 ! Parameter print
          WRITE(numout,*)
          WRITE(numout,*) 'opa_flg: Control prints & Benchmark'
          WRITE(numout,*) '~~~~~~~ '
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl    = ', ln_ctl
-         WRITE(numout,*) '      level of print                  nprint    = ', nprint
-         WRITE(numout,*) '      Start i indice for SUM control  nictls    = ', nictls
-         WRITE(numout,*) '      End i indice for SUM control    nictle    = ', nictle
-         WRITE(numout,*) '      Start j indice for SUM control  njctls    = ', njctls
-         WRITE(numout,*) '      End j indice for SUM control    njctle    = ', njctle
-         WRITE(numout,*) '      number of proc. following i     isplt     = ', isplt
-         WRITE(numout,*) '      number of proc. following j     jsplt     = ', jsplt
-         WRITE(numout,*) '      benchmark parameter (0/1)       nbench    = ', nbench
-         WRITE(numout,*) '      bit comparison mode (0/1)       nbit_cmp  = ', nbit_cmp
-      ENDIF
+         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '      level of print                  nn_print   = ', nn_print
+         WRITE(numout,*) '      Start i indice for SUM control  nn_ictls   = ', nn_ictls
+         WRITE(numout,*) '      End i indice for SUM control    nn_ictle   = ', nn_ictle
+         WRITE(numout,*) '      Start j indice for SUM control  nn_jctls   = ', nn_jctls
+         WRITE(numout,*) '      End j indice for SUM control    nn_jctle   = ', nn_jctle
+         WRITE(numout,*) '      number of proc. following i     nn_isplt   = ', nn_isplt
+         WRITE(numout,*) '      number of proc. following j     nn_jsplt   = ', nn_jsplt
+         WRITE(numout,*) '      benchmark parameter (0/1)       nn_bench   = ', nn_bench
+         WRITE(numout,*) '      bit comparison mode (0/1)       nn_bit_cmp = ', nn_bit_cmp
+      ENDIF
+
+      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
+      nictls    = nn_ictls
+      nictle    = nn_ictle
+      njctls    = nn_jctls
+      njctle    = nn_jctle
+      isplt     = nn_isplt
+      jsplt     = nn_jsplt
+      nbench    = nn_bench
+      nbit_cmp  = nn_bit_cmp
 
       !                           ! Parameter control
@@ -355,18 +368,6 @@
       ENDIF
 
-
-      REWIND( numnam )            ! Read Namelist namflg : algorithm FLaG
-      READ  ( numnam, namflg )
-
-      IF(lwp) THEN                ! Parameter print
-         WRITE(numout,*)
-         WRITE(numout,*) 'opa_flg : Hydrostatic pressure gradient algorithm'
-         WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '   Namelist namflg : hydrostatic pressure gradient time stepping'
-         WRITE(numout,*) '      centered (F) or semi-implicit (T)        ln_dynhpg_imp = ', ln_dynhpg_imp
-         WRITE(numout,*) '      ensure restartability (=1) or not (=0)   nn_dynhpg_rst = ', nn_dynhpg_rst
-      ENDIF
-      !
-      IF( .NOT. ln_dynhpg_imp )   nn_dynhpg_rst = 0      ! force no adding dynhpg implicit variables in restart
+      REWIND( numnam )              ! Read Namelist namdyn_hpg : ln_dynhpg_imp must be read at the initialisation phase
+      READ  ( numnam, namdyn_hpg )
       !
    END SUBROUTINE opa_flg
